Package com.independentsoft.office.odf.styles

# Class DefaultRubyStyle

java.lang.Object
com.independentsoft.office.odf.styles.DefaultStyle
com.independentsoft.office.odf.styles.DefaultRubyStyle

public class DefaultRubyStyle extends DefaultStyle
Represents default styles of the ruby style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `family`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultRubyStyle()`
  Initializes a new instance of the DefaultRubyStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultRubyStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `RubyAlignment`
  `getAlignment()`
  Gets the horizontal alignment of the ruby text in relationship to the ruby base.
  `RubyPosition`
  `getPosition()`
  Gets the vertical position of the ruby text in relationship to the ruby base.
  `void`
  `setAlignment​(RubyAlignment alignment)`
  Sets the horizontal alignment of the ruby text in relationship to the ruby base.
  `void`
  `setPosition​(RubyPosition position)`
  Sets the vertical position of the ruby text in relationship to the ruby base.
  `String`
  `toString()`
  Converts the value of the current DefaultRubyStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `getFamily, setFamily, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultRubyStyle

    public DefaultRubyStyle()
    Initializes a new instance of the DefaultRubyStyle class.

- ## Method Details

  - ### clone

    public DefaultRubyStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DefaultRubyStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `DefaultStyle`
    Returns:
      the string

  - ### getPosition

    public RubyPosition getPosition()
    Gets the vertical position of the ruby text in relationship to the ruby base.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(RubyPosition position)
    Sets the vertical position of the ruby text in relationship to the ruby base.
    Parameters:
      `position` - the new position

  - ### getAlignment

    public RubyAlignment getAlignment()
    Gets the horizontal alignment of the ruby text in relationship to the ruby base.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RubyAlignment alignment)
    Sets the horizontal alignment of the ruby text in relationship to the ruby base.
    Parameters:
      `alignment` - the new alignment